Name:           clementine
Version:        0.5.3
Release:        1%{?dist}
Summary:        A music player and library organiser

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://www.clementine-player.org/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils liblastfm-devel taglib-devel gettext
BuildRequires:  qt4-devel boost-devel gcc-c++ glew-devel libgpod-devel
BuildRequires:  cmake gstreamer-devel gstreamer-plugins-base-devel
BuildRequires:  libimobiledevice-devel libplist-devel usbmuxd-devel
BuildRequires:  libmtp-devel

Requires:       libgpod

# GStreamer codec dependencies
Requires:       gstreamer-plugins-ugly

%ifarch x86_64
Requires:       gstreamer0.10(decoder-audio/x-vorbis)()(64bit)
Requires:       gstreamer0.10(decoder-audio/x-flac)()(64bit)
Requires:       gstreamer0.10(decoder-audio/x-speex)()(64bit)
Requires:       gstreamer0.10(decoder-audio/x-wav)()(64bit)
%else
Requires:       gstreamer0.10(decoder-audio/x-vorbis)
Requires:       gstreamer0.10(decoder-audio/x-flac)
Requires:       gstreamer0.10(decoder-audio/x-speex)
Requires:       gstreamer0.10(decoder-audio/x-wav)
%endif

%description
Clementine is a modern music player and library organiser.
It is inspired by Amarok 1.4, focusing on a fast and easy-to-use interface for
searching and playing your music.

Features include:
  * Search and play your local music library
  * Listen to internet radio from Last.fm, SomaFM and Magnatune
  * Tabbed playlists, import and export M3U, XSPF, PLS and ASX
  * Visualisations from projectM
  * Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
  * Edit tags on MP3 and OGG files, organise your music
  * Download missing album cover art from Last.fm
  * Cross-platform - works on Windows, Mac OS X and Linux
  * Native desktop notifications on Linux (libnotify) and Mac OS X (Growl)
  * Remote control using a Wii Remote, MPRIS or the command-line
  * Copy music to your iPod, iPhone, MTP or mass-storage USB player
  * Queue manager

%prep
%setup -q


%build
cd bin
%{cmake} .. -DVISUALISATIONS_USE_INSTALL_PREFIX=OFF
make %{?_smp_mflags}

%install
cd bin
make install DESTDIR=$RPM_BUILD_ROOT

%clean
cd bin
make clean


%files
%defattr(-,root,root,-)
%doc
%{_bindir}/clementine
%{_datadir}/applications/clementine.desktop
%{_datadir}/icons/hicolor/64x64/apps/application-x-clementine.png
%{_datadir}/icons/hicolor/scalable/apps/application-x-clementine.svg
%{_datadir}/clementine/projectm-presets

%changelog
* Wed Sep 29 2010 David Sansome <me@davidsansome.com> - 0.5.3
- Version 0.5.3
